표준 새 파일(Std New)

From FreeCAD Documentation
Revision as of 00:46, 22 December 2020 by Saltsalt (talk | contribs) (Created page with "==환경 설정==")

Std New

Menu location
File → New
Workbenches
All
Default shortcut
Ctrl+N
Introduced in version
-
See also
Std Open, Std Import

설명

새 파일(Std New) 명령어는 빈 새 문서를 만들고 활성화 시킵니다.

용법

  1. 이 명령을 실행하는 방법은 여러 가지입니다.
    • 표준 열기 버튼을 누릅니다.
    • 메뉴에서 파일 → 새 파일 옵션을 선택합니다.
    • 단축키를 사용합니다: Ctrl+N.

환경 설정

  • FreeCAD will create a new document at start up if Tools → Edit parameters... → BaseApp → Preferences → Document → CreateNewDoc is set to true. This setting can also be changed in the Preferences Editor.
  • Some document properties: author names, company name and license information, can be preset in the Preferences Editor.

Properties

Most properties can also be changed in the dialog box of the Std ProjectInfo command.

  • 데이터Comment: Any comment that may apply.
  • 데이터Company: Company name. Can be preset.
  • 데이터Created By: Author name. Can be preset.
  • 데이터Creation Date: Automatic date stamp. Not editable.
  • 데이터File Name: The full path of the file. Blank if the document has not been saved. Not editable.
  • 데이터Id: Not implemented yet.
  • 데이터Label: The name that will appear in the Tree view. By default the name of the document.
  • 데이터Last Modified By: Author name. Can be preset.
  • 데이터Last Modified Date: Automatic date stamp. Not editable.
  • 데이터License: License type. Can be preset.
  • 데이터License URL: License URL. Can be preset.
  • 데이터Show Hidden: If true, items that have been hidden in the Tree view will be displayed anyway. Hiding items in the tree can be useful when working on larger models.
  • 데이터Tip: Not implemented yet.
  • 데이터Tip Name: Not implemented yet.
  • 데이터Transient Dir: The transient directory used for recovery data. Not editable.

Scripting

See also: FreeCAD Scripting Basics.

To create a new document use the newDocument method of the FreeCAD application.

import FreeCAD
from pathlib import Path

# The folder and filename we will use:
fld = 'D:/testfiles/'
fnm = fld + 'test.FCStd'

# Make sure fld exists:
Path(fld).mkdir(parents=True, exist_ok=True)

doc = FreeCAD.newDocument()
doc.saveAs(fnm)

FreeCAD.closeDocument(doc.Name)

doc = FreeCAD.open(fnm)
doc.save()

FreeCAD.closeDocument(doc.Name)